Ask Your Question
1

Unable to install ROS in Ubuntu 14.04 LTS

asked 2014-04-27 15:51:47 -0600

Raghu Parvatha gravatar image

updated 2014-04-27 17:19:34 -0600

I am unable to install ROS on my Ubuntu 14.04 LTS. Below is the error I am facing

> admin@admin:~$ sudo apt-get install ros-hydro-desktop-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
 ros-hydro-desktop-full : Depends: ros-hydro-desktop but it is not going to be installed
                          Depends: ros-hydro-mobile but it is not going to be installed
                          Depends: ros-hydro-perception but it is not going to be installed
                          Depends: ros-hydro-simulators but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

update:

raghu@raghu:~$ sudo aptitude install ros-hydro-desktop-full
The following NEW packages will be installed:
  cmake{a} cmake-data{a} collada-dom-dev{a} collada-dom2.4-dp-base{ab} collada-dom2.4-dp-dev{a} doxygen{a} fltk1.3-doc{a} fluid{a} 
  fonts-texgyre{a} freeglut3{a} gazebo{ab} gir1.2-gtk-2.0{a} hddtemp{a} icu-devtools{a} liballegro4.4{a} liballegro4.4-plugin-alsa{a} 
  libapr1-dev{a} libaprutil1-dev{a} libasound2-dev{a} libassimp-dev{a} libassimp3{a} libatk1.0-dev{a} libavahi-client-dev{a} 
  libavahi-common-dev{a} libavcodec-dev{a} libavformat-dev{a} libavutil-dev{a} libboost-all-dev{a} libboost-atomic-dev{a} 
  libboost-atomic1.54-dev{a} libboost-atomic1.54.0{a} libboost-chrono-dev{a} libboost-chrono1.54-dev{a} libboost-chrono1.54.0{a} 
  libboost-context-dev{a} libboost-context1.54-dev{a} libboost-context1.54.0{a} libboost-coroutine-dev{a} libboost-coroutine1.54-dev{a} 
  libboost-date-time-dev{a} libboost-date-time1.54-dev{a} libboost-dev{a} libboost-exception-dev{a} libboost-exception1.54-dev{a} 
  libboost-filesystem-dev{a} libboost-filesystem1.54-dev{a} libboost-filesystem1.54.0{a} libboost-graph-dev{a} 
  libboost-graph-parallel-dev{a} libboost-graph-parallel1.54-dev{a} libboost-graph-parallel1.54.0{a} libboost-graph1.54-dev{a} 
  libboost-graph1.54.0{a} libboost-iostreams-dev{a} libboost-iostreams1.54-dev{a} libboost-locale-dev{a} libboost-locale1.54-dev{a} 
  libboost-locale1.54.0{a} libboost-log-dev{a} libboost-log1.54-dev{a} libboost-log1.54.0{a} libboost-math-dev{a} libboost-math1.54-dev{a} 
  libboost-math1.54.0{a} libboost-mpi-dev{a} libboost-mpi-python-dev{a} libboost-mpi-python1.54-dev{a} libboost-mpi-python1.54.0{a} 
  libboost-mpi1.54-dev{a} libboost-mpi1.54.0{a} libboost-program-options-dev{a} libboost-program-options1.54-dev{a} 
  libboost-program-options1.54.0{a} libboost-python-dev{a} libboost-python1.54-dev{a} libboost-python1.54.0{a} libboost-random-dev{a} 
  libboost-random1.54-dev{a} libboost-random1.54.0{a} libboost-regex-dev{a} libboost-regex1.54-dev{a} libboost-regex1.54.0{a} 
  libboost-serialization-dev{a} libboost-serialization1.54-dev{a} libboost-serialization1.54.0{a} libboost-signals-dev{a} 
  libboost-signals1.54-dev{a} libboost-signals1.54.0{a} libboost-system-dev{a} libboost-system1.54-dev{a} libboost-test-dev{a} 
  libboost-test1.54-dev{a} libboost-test1.54.0{a} libboost-thread-dev{a} libboost-thread1.54-dev{a} libboost-thread1.54.0{a} 
  libboost-timer-dev{a} libboost-timer1.54-dev{a} libboost-timer1.54.0{a} libboost-tools-dev{a} libboost-wave-dev{a} 
  libboost-wave1.54-dev{a} libboost-wave1.54.0{a} libboost1.54-dev{a} libboost1.54-tools-dev{a} libbullet-dev{a} libbulletcollision2.81{a} 
  libbulletdynamics2.81{a} libbulletsoftbody2.81{a} libbz2-dev{a} libcaca-dev{a} libcairo-script-interpreter2{a} libcairo2-dev{a} 
  libcegui-mk2-0.7.6{a} libcegui-mk2-dev{a} libcf0{a} libcppunit-1.13-0{a} libcppunit-dev{a} libcr0{a} libcurl4-openssl-dev{a} 
  libdbus-1-dev{a} libdevil-dev{a} libdevil1c2{a} libeigen3-dev{a} libexpat1-dev{a} libflann-dev{a} libflann1.8{a} libfltk-cairo1.3{a} 
  libfltk-forms1.3{a ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
6

answered 2014-04-27 18:33:17 -0600

hamid gravatar image

hydro not supported for ubuntu 14.04 try to install indigo

edit flag offensive delete link more

Comments

1

Indigo isn't officially released yet either. I had success installing ros_comm from source and installing the rest through apt-get.

Hansg91 gravatar imageHansg91 ( 2014-04-27 22:10:11 -0600 )edit

Hansg91 can you please help me in installation process.

Raghu Parvatha gravatar imageRaghu Parvatha ( 2014-04-28 05:35:54 -0600 )edit

hamid thank you for your reply but as Hansg said even I am unable to install the package I am getting below error message admin@admin:~$ sudo apt-get install ros-indigo-desktop-full Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package ros-indigo-desktop-full

Raghu Parvatha gravatar imageRaghu Parvatha ( 2014-04-28 05:36:45 -0600 )edit
1

ros-indigo-desktop-full is not available yet. For now, you can just do sudo apt-get install ros-indigo-* It'll have far more packages than you'll probably want/need, but you'll be sure to have everything. :)

Tom Moore gravatar imageTom Moore ( 2014-04-28 05:51:23 -0600 )edit

did you update your sources.list?

hamid gravatar imagehamid ( 2014-04-28 06:18:48 -0600 )edit

The from source instructions should work on 14.04 unless there are problems compiling against newer versions of libraries in 14.04: http://wiki.ros.org/hydro/Installation/Source However hydro isn't supported for 14.04, so it may not work without some debugging.

William gravatar imageWilliam ( 2014-04-28 20:54:49 -0600 )edit
0

answered 2014-04-28 10:19:47 -0600

goupil35000 gravatar image

Hi

Hansg91, could you tell us how you install ros_comm ?

Thanks

edit flag offensive delete link more

Comments

I followed this guide: http://wiki.ros.org/indigo/Installation/Source (for ros_comm). Then as mentioned before, sudo apt-get install ros-indigo-*

Hansg91 gravatar imageHansg91 ( 2014-04-29 01:31:41 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-04-27 15:51:47 -0600

Seen: 5,343 times

Last updated: Apr 28 '14